Index: c/src/exec/score/cpu/c4x/ChangeLog
===================================================================
--- c/src/exec/score/cpu/c4x/ChangeLog	(revision 68f0058cd7643923af0e9ff154fe31156586f1c0)
+++ c/src/exec/score/cpu/c4x/ChangeLog	(revision 3a9516b233ef39304f36824cb7a30cabc01ea3eb)
@@ -1,2 +1,9 @@
+2001-04-03	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR94, all rtems/score/CPUtypes.h are named rtems/score/types.h.
+	* rtems/score/c4xtypes.h: Removed.
+	* rtems/score/types.h: New file via CVS magic.
+	* Makefile.am, rtems/score/cpu.h: Account for name change.
+
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/exec/score/cpu/c4x/Makefile.am
===================================================================
--- c/src/exec/score/cpu/c4x/Makefile.am	(revision 68f0058cd7643923af0e9ff154fe31156586f1c0)
+++ c/src/exec/score/cpu/c4x/Makefile.am	(revision 3a9516b233ef39304f36824cb7a30cabc01ea3eb)
@@ -28,5 +28,5 @@
     rtems/score/cpu.h \
     rtems/score/c4x.h \
-    rtems/score/c4xtypes.h \
+    rtems/score/types.h \
     rtems/score/cpu_asm.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
Index: src/exec/score/cpu/c4x/rtems/score/c4xtypes.h
===================================================================
--- c/src/exec/score/cpu/c4x/rtems/score/c4xtypes.h	(revision 68f0058cd7643923af0e9ff154fe31156586f1c0)
+++ 	(revision )
@@ -1,56 +1,0 @@
-/*  c4xtypes.h
- *
- *  This include file contains type definitions pertaining to the Intel
- *  C4x processor family.
- *
- *  COPYRIGHT (c) 1989-1999.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
- *
- *  $Id$
- */
-
-#ifndef __C4X_TYPES_h
-#define __C4X_TYPES_h
-
-#ifndef ASM
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/*
- *  This section defines the basic types for this processor.
- */
-
-typedef unsigned char  unsigned8;      /* unsigned 8-bit  integer */
-typedef unsigned short unsigned16;     /* unsigned 16-bit integer */
-typedef unsigned int   unsigned32;     /* unsigned 32-bit integer */
-typedef unsigned long long unsigned64; /* unsigned 64-bit integer */
-
-typedef unsigned16     Priority_Bit_map_control;
-
-typedef signed char      signed8;      /* 8-bit  signed integer */
-typedef signed short     signed16;     /* 16-bit signed integer */
-typedef signed int       signed32;     /* 32-bit signed integer */
-typedef signed long long signed64;     /* 64 bit signed integer */
-
-typedef unsigned32 boolean;     /* Boolean value   */
-
-typedef float          single_precision;     /* single precision float */
-typedef double         double_precision;     /* double precision float */
-
-typedef void c4x_isr;
-typedef void ( *c4x_isr_entry )( void );
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif  /* !ASM */
-
-#endif
-/* end of include file */
Index: c/src/exec/score/cpu/c4x/rtems/score/cpu.h
===================================================================
--- c/src/exec/score/cpu/c4x/rtems/score/cpu.h	(revision 68f0058cd7643923af0e9ff154fe31156586f1c0)
+++ c/src/exec/score/cpu/c4x/rtems/score/cpu.h	(revision 3a9516b233ef39304f36824cb7a30cabc01ea3eb)
@@ -23,5 +23,5 @@
 #include <rtems/score/c4x.h>            /* pick up machine definitions */
 #ifndef ASM
-#include <rtems/score/c4xtypes.h>
+#include <rtems/score/types.h>
 #endif
 
Index: cpukit/score/cpu/c4x/ChangeLog
===================================================================
--- cpukit/score/cpu/c4x/ChangeLog	(revision 68f0058cd7643923af0e9ff154fe31156586f1c0)
+++ cpukit/score/cpu/c4x/ChangeLog	(revision 3a9516b233ef39304f36824cb7a30cabc01ea3eb)
@@ -1,2 +1,9 @@
+2001-04-03	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR94, all rtems/score/CPUtypes.h are named rtems/score/types.h.
+	* rtems/score/c4xtypes.h: Removed.
+	* rtems/score/types.h: New file via CVS magic.
+	* Makefile.am, rtems/score/cpu.h: Account for name change.
+
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/c4x/Makefile.am
===================================================================
--- cpukit/score/cpu/c4x/Makefile.am	(revision 68f0058cd7643923af0e9ff154fe31156586f1c0)
+++ cpukit/score/cpu/c4x/Makefile.am	(revision 3a9516b233ef39304f36824cb7a30cabc01ea3eb)
@@ -28,5 +28,5 @@
     rtems/score/cpu.h \
     rtems/score/c4x.h \
-    rtems/score/c4xtypes.h \
+    rtems/score/types.h \
     rtems/score/cpu_asm.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
Index: cpukit/score/cpu/c4x/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/c4x/rtems/score/cpu.h	(revision 68f0058cd7643923af0e9ff154fe31156586f1c0)
+++ cpukit/score/cpu/c4x/rtems/score/cpu.h	(revision 3a9516b233ef39304f36824cb7a30cabc01ea3eb)
@@ -23,5 +23,5 @@
 #include <rtems/score/c4x.h>            /* pick up machine definitions */
 #ifndef ASM
-#include <rtems/score/c4xtypes.h>
+#include <rtems/score/types.h>
 #endif
 
